# Makefile for client test program - PKTR rpc calls
# Version 20.03.95
# Insert the defs for your machine
# SUN:    CC = CC         CCL = CC         LM = 
# SGI     CC = cc         CCL = cc         LM = -lm
# OSF     CC = cc         CCL = cc         LM = -lm
# LINUX   CC = cc         CCL = cc         LM = -lm
# ULT     CC = gcc -c -g  CCL = gcc -g     LM = 
# HP:     CC = cc -Aa     CCL = cc         LM = -lM
# SOL 2.4 CC = CC         CCL = CC         LM = -lsocket -lnsl

CPP = g++
CC = cc -c -DMULTITHREADED
CCL = cc -shared -o
LM = -lm

libtbufsrv.so: tbufkrnl.o tbufsrv.o listener.o
	${CCL} $@ tbufkrnl.o tbufsrv.o listener.o libtine.a

tbufkrnl.o:  tbufkrnl.c servdef.h errors.h rpctypes.h toolkit.h tbufsrv.h project.def
	${CC} tbufkrnl.c

tbufsrv.o:  tbufsrv.c servdef.h errors.h rpctypes.h toolkit.h tbufsrv.h project.def
	${CC} tbufsrv.c

listener.o: listener.c database.h servdef.h errors.h listener.h project.def
	${CC} listener.c

clean:
	rm *.o
